## Index

### Classes

- ReinforcedLearningBase
- ThompsonSampling
- UpperConfidenceBound

### Interfaces

- ReinforcedLearning

### Type aliases

- BoundFunction
- ReinforcedOptions

## Type aliases

### BoundFunction

BoundFunction: (bound: number) => number

- Defined in ReinforcedLearning.ts:4

#### Type declaration

- - (bound: number): number

  - #### Parameters

    - ##### bound: number

    #### Returns number

### ReinforcedOptions

ReinforcedOptions: { bounds?: undefined | number; getBound?: BoundFunction }

- Defined in ReinforcedLearning.ts:5

#### Type declaration

- ##### Optional bounds?: undefined | number

- ##### Optional getBound?: BoundFunction